#!/bin/bash
# enet for E6/A1200 Written, by aFish, 2007/09/06
# Modified fo admincontrols



. /home/native/.profile

myfile=`basename $0`
mypath=`echo $0 | sed -e 's/'$myfile'//g'`

# Start ppp services
ppp_on () {
  start-stop-daemon -K -n modemeng
  connect="true"
  showQ -u -1 "" -s "Dialog_Waiting" -m "Ожидаю соединения..." &
  sleep 1
  while [ $connect = "true" ]
  do
    myid=`pidof modemeng`
    if [ ! -d /etc/ppp/peers ]
    then
      mkdir /etc/ppp/peers
    fi
    echo "/dev/pts/0 921600 192.168.8.100:192.168.8.101 noauth crtscts local connect 'sleep 1; echo -n CLIENTSERVER' logfile /tmp/peers/ppp.log" > /etc/ppp/peers/myhost
    insmod /lib/modules/ppp_generic.o
    insmod /lib/modules/ppp_async.o
    start-stop-daemon --start -m -p /var/run/btppp.pid -x /usr/bin/pppd -- call myhost
    sleep 1
    time=$(($time+1))
    echo $time
    if [ "$time" = "30" ]
    then
	  start-stop-daemon --start --exec /bin/kill ` pidof showQ `
      showQ -1 "" -s "Dialog_Error" -u -m "Время ожидания истекло!" -t2
      exit
    fi
    if [ "$myid" != "" ]
    then
      connect="false"
    fi
  done
  start-stop-daemon --start --exec /bin/kill ` pidof showQ `
  start-stop-daemon --start -c root -x /usr/sbin/inetd
  start-stop-daemon --start -c root -x /usr/sbin/smbd
}

# Operation Mode choice
cd $mypath
mmsg=`showQ -u -1 "Старт" -2 "Стоп" -3 "Выход" -g "$mypath../icons/bluetooth.png" -u -m "BlueNet, устанавливаем сетевое подключение по bluetooth"`
if [ "$mmsg" = "2" ]
then
  exit
fi
if [ "$mmsg" = "1" ]
then
	start-stop-daemon --start -x /bin/kill -- `pidof fake_dsm`
	rm /tmp/dsm.ipc
	mv /tmp/dsmbak /tmp/dsm.ipc
	start-stop-daemon --start -x /bin/kill -- `pidof pppd inetd smbd`
	showQ -1 "" -s "Dialog_Exclamatory_Mark" -m "Bluetooth broadband sharing<br><font color=red>stopped!</font>" -t2
fi
if [ "$mmsg" = "0" ]
then
	start-stop-daemon --start -x /bin/kill -- `pidof pppd inetd smbd`
	ppp_on
	route add default gw 192.168.8.101
	mv /tmp/dsm.ipc /tmp/dsmbak
	exec $mypath/fake_dsm &
	showQ -t3 -1 "" -s "Dialog_Exclamatory_Mark" -m "Подключение<br><font color=green>создано!</font>"
	exit
fi
