#!/bin/bash

if [ "$(id -u)" != "0" -a -z "$1" ]
then
  exec /sbin/start-stop-daemon -S -c root:root -x "$0" -- restart
  exit 1
fi
myfile=`basename $0`
mypath=`echo $0 | sed -e 's/'$myfile'//g'`
cd $mypath
. /home/native/.profile 2>/dev/null 1>/dev/null
if /bin/mount | grep /dev/dsp
then
ib="1"
en="Звуковой процессор выключен, включить?"
im="fakedsp_d.png"
else
ib="0"
en="Звуковой процессор включен, выключить?"
im="fakedsp_e.png"
fi
mmsg=`${mypath}showQ -u -m "$en" -1 "Вкл" -2 "Выкл" -g "${mypath}${im}"`
if [ "$mmsg" = "1" ] 
then
if [ "$ib" = "0" ] 
then
/bin/mount --bind /dev/null /dev/dsp
/bin/mount --bind /dev/null /dev/dsp16
fi
fi
if [ "$mmsg" = "0" ] 
then
if [ "$ib" = "1" ] 
then
umount /dev/dsp
umount /dev/dsp16
fi
fi

if /bin/mount | grep /dev/dsp
then
en="Звуковой процессор выключен!"
im="fakedsp_d.png"
else
en="Звуковой процессор включен!"
im="fakedsp_e.png"
fi
mmsg=`${mypath}showQ -u -t2 -m "$en" -1 "" -g "${mypath}${im}"`