#!/bin/bash

. /home/native/.profile

myfile=`basename $0`
mypath=`echo $0 | sed -e 's/'$myfile'//g'`
work_path='/mmc/mmca1/.system/QTDownLoad'
card='/mmc/mmca1/.system/java/CardRegistry'

mmsg=`showQ -u -1 "Обычный" -2 "Анинстал" -3 "Выход" -g "$mypath../icons/setup.png" -m "Меняем режим на:"`

if [ "$mmsg" = "0" ]
then
	showQ -u -1 "" -s "Dialog_Waiting" -m "Переключаюсь на обычный режим..." &
	sleep 1s
	cd $work_path
	rm -f -R yan0
	mkdir yan0
	cd yan0
	#For running QTApps, by yan0
	grep -n "AppID = {8a2b9b37-83e7-a8d9-82cf-0bcbe2070" $card |sed -e 's/:AppID = {8a2b9b37/ a207207a/g' -e 's/}//g' >yan0_0
	cat yan0_0 | while read line id
	do
		a=$(($line+2))
		b=$(($line+5))
		sed -n ''$a'p' $card >yan0_1
		if grep '4' yan0_1
			then
			sed -e ''$a' s/4/2/g' -e ''$b' s#Directory = #Directory = /mmc/mmca1/.system/QTDownLoad/#g' $card >yan0_1
			mv -f yan0_1 $card
		fi
	done
	start-stop-daemon --start --exec /bin/kill ` pidof showQ `
	showQ -u -1 "" -s "Dialog_Exclamatory_Mark" -m "Обычный режим активирован......" &
	sleep 1s
	/sbin/start-stop-daemon --stop -n am
	start-stop-daemon --start --exec /bin/kill ` pidof showQ `
	cd $work_path
	rm -f -R yan0
	exit
fi
if [ "$mmsg" = "1" ]
then
	showQ -u -1 "" -s "Dialog_Waiting" -m "Переключаюсь в режим деинсталляции..." &
	sleep 1s
	cd $work_path
	rm -f -R yan0
	mkdir yan0
	cd yan0
	#For uninstall QTApps, by yan0
	grep -n "AppID = {8a2b9b37-83e7-a8d9-82cf-0bcbe2070" $card |sed -e 's/:AppID = {8a2b9b37/ a207207a/g' -e 's/}//g' >yan0_0
	cat yan0_0 | while read line id
	do
		a=$(($line+2))
		b=$(($line+5))
		sed -e ''$a' s/2/4/g' -e ''$b' s#/mmc/mmca1/.system/QTDownLoad/##g' $card >yan0_1
		mv -f yan0_1 $card
	done
	start-stop-daemon --start --exec /bin/kill ` pidof showQ `
	showQ -u -1 "" -s "Dialog_Exclamatory_Mark" -m "Режим деинсталляции активирован..." &
	sleep 1s
	/sbin/start-stop-daemon --stop -n am
	start-stop-daemon --start --exec /bin/kill ` pidof showQ `
	cd $work_path
	rm -f -R yan0
	exit
fi
